<?php
require "php_includes/form_functions.php";
require ("sajax/Sajax.php");
if ($_POST) {  // this code runs only if the form was submitted - specifically, if there is anything from the form in the POST array
	$email = $_POST['email']; // move the email address from the POST array to a variable 
	$valid = verifyEmail($email); // calls the verifyEmail function - $valid is set to 1 if email is valid, 0 if not

	if ($valid) { // if the email passed validation
		writeToFile($email); //pass email to writeToFile function to record it in a text file
		$msg= 'Thanks for signing up! Please visit our <a href="members.php"> members only area.</a>';
		} else {      // the email is invalid, so tell the user
		$msg = 'Please type a valid email address.';  // the $msg will get written into the markup as PHP generates the page
	}
} // end if POST


//starting SAJAX stuff
	$sajax_request_type = "GET";
	sajax_init();
	sajax_export("verifyEmail");
	sajax_handle_client_request();	
?>

<script>
<?
	sajax_show_javascript();
?>
validation = {
  validateEmail:function (button_click) {
	sunmitted=button_click;
	document.getElementById("msg").innerHTML = "sending...";
	theEmail=document.getElementById("email").value;
 	x_verifyEmail(theEmail,validation.validateEmail_cb);
  },

  validateEmail_cb:function (valid) {
	if (valid) {
	var msg = 'Valid email address' 
	} else {
	var msg='Please type a valid email address';
	}
	document.getElementById("msg").innerHTML = msg +" - data tested via Ajax";
  },
}

</script>	

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"   
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Sign-up Form</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link type="text/css" rel="stylesheet" href="Ch1_examples/css/sign_up_form.css">
</head>
<body>
	<div id="sign_up">
		<h3>Sign up for our newsletter</h3>
		<form id="email_form" action="<?php echo basename($_SERVER['PHP_SELF']) ?>" method="post">
			<label for="email">Email</label>
			<input id="email" name="email" type="text" size="24" value="<?php echo $email;?>" onblur="validation.validateEmail()" />
			<input type="submit" value="Go!" />
		</form>
		<p id="msg"><?php echo $msg; ?></p>
	</div>
</body>
</html>
