<?php 
  // read the location data from the CSV and find the location 
  // if the showlocation parameter was sent.
  include('getlocations.php');
?>
<?php 
  // define an appropriate display string for header and title
  if(!isset($_GET['showlocation'])){
    $header = 'Our Offices - find a location';
  } 
  if(isset($_GET['location'])){
    $header =  'Our Offices - pick a location';
  }
  if(isset($_GET['showlocation'])){
    $header = 'Our Offices - '.$current['town'].' - '.$current['country'];
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
 "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">  
  <title><?php echo $header;?></title>

<!-- 
  The page layout is based on Yahoo CSS grids, you can build this easily 
  with the grids builder: http://developer.yahoo.com/yui/grids/builder/
-->

  <link rel="stylesheet" href="http://yui.yahooapis.com/2.7.0/build/reset-fonts-grids/reset-fonts-grids.css" type="text/css">
  <link rel="stylesheet" href="http://yui.yahooapis.com/2.7.0/build/base/base.css" type="text/css">
  <style type="text/css" media="screen">
  </style>
  </head>
<body class="yui-skin-sam">
<!-- 
  never forget to add this class to the body, this applies the skin 
  that makes things look pretty
-->

<div id="doc" class="yui-t7">
  <div id="hd" role="banner"><h1><?php echo $header;?></h1></div>
  <div id="bd" role="main">

<!-- Depending on parameter sent, include the different sections -->
  <?php 
    if(!isset($_GET['showlocation'])){
      include('searchform.php');
    } 
    if(isset($_GET['location'])){
      include('searchresults.php');
    }
    if(isset($_GET['showlocation'])){?>
      <div class="yui-gc">
        <div class="yui-u first">
          <?php include('contactform.php');?>
        </div>
        <div class="yui-u">
          <?php include('locationdetails.php');?>
        </div>
      </div>  
  <?php } ?>
  </div>
  <div id="ft" role="contentinfo"><p>Written by Christian Heilmann and Charles Wyke-Smith</p></div>
</div>
</body>
</html>

